Summary: Cobalt MIPS kernel 
Name: kernel
Version: 2.0.34
%define version %{PACKAGE_VERSION}
Release: C20RAQ
Copyright: GPL/Cobalt
Group: Base/Kernel
ExclusiveOS: Linux
Source: linux-2.0.34-cobaltRAQ.tar.gz
BuildRoot: /tmp/kernel

%changelog

* Fri Aug 28 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Disable eroneous 'ALPHA test driver' message from Tulip driver.

* Tue Aug 25 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Integrate non-RAQ Tulip driver bug fixes into RAQ specific
   driver.  Also merge in RAQ kernel build cleanups.

* Fri Aug  7 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Merged in Bose's latest LCD driver and Tim's reset
   LED stuff.

* Thu Jul 30 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Change 16550 serial default baud to 9600
  -Merge collision softening into RaQHACK tulip driver.

* Tue Jul 21 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Quick hacked up RAQ kernel build.

* Fri Jul 17 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Fix netgear bootup hang bug.

* Mon Jul 13 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Update cacheqube kernel to 2.0.34
  -Add nrfd==1024 hack, only for cacheqube

* Wed Jun 10 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Quick hack for cache qube kernel RPM build
  -Include Ingo's memcpy optimizations
  -Include latest bug fixed PCI slot ethernet drivers

* Fri Apr 24 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Quick hacked up build of FW/MASQ support kernel.

* Fri Apr 21 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Add support for 3c59x and IntelEEPRO100 cards in expansion slot.

* Fri Apr  3 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Tulip tx timeout fixes, hopefully this kills it for good.

* Tue Mar 10 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Hardcode timer register value for 150MHZ cpu speed.
  -Remove bogus initscripts requires from this specs file.

* Fri Feb 27 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Kernel works with no serial console
  -LCD driver updates, return button value for lcd_read

* Wed Feb 25 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Backout sys_brk() optimizations
  -More Tulip tx timeout fixes.

* Thu Feb 12 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Boot message cleanup.
  -Tulip lockup fixes.

* Wed Feb 11 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Integrate swapping and vm bug fixes.
  -Small TCP fixes from Alan Cox.
  -Memory leak during page table allocation fixes.

* Fri Feb  5 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Put loopback block device back into config as temporary
   hack to fix ide bootup problems...

* Fri Jan 27 1998  David S. Miller  <davem@dm.cobaltmicro.com>

  -Final ethernet collision fixes.

* Fri Jan 23 1998 Timothy Stonis <tim@cobaltmicro.com>

  -Updated with Dave's collision fix.
  -Added IP aliasing support by default

* Thu Jan 15 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added Andrew's new LCD driver.
 -Removed loop back block device

* Mon Dec 22 1997  David S. Miller  <davem@dm.cobaltmicro.com>

  Added in sys_brk() bug fixes.

* Mon Dec 22 1997 Timothy Stonis <tim@cobaltmicro.com>
 
  Updated with Dave's strace fixes.

* Thu Dec 18 1997 Timothy Stonis <tim@cobaltmicro.com>

  Updated with Boseman's LINK stuff.

* Wed Dec 17 1997 Timothy Stonis <tim@cobaltmicro.com>

  Initial package creation of 2.0.33 based from 2.0.32

%package source
Requires: kernel-headers = %{version}
Summary: Kernel source tree
Group: Base/Kernel

%package headers
Summary: Header files for the Linux kernel.
Group: Base/Kernel

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%description source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description headers
These are the C header files for the Linux kernel, which define structures
and constants that are needed when building most standard programs under
Linux, as well as to rebuild the kernel.

%prep
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%setup -c -q
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/
cd $RPM_BUILD_ROOT/usr/src
zcat $RPM_SOURCE_DIR/linux-2.0.34-cobalt.tar.gz | tar -xf-

find linux -name "*.orig" -print | xargs rm -f
mv linux linux-%{version}
ln -sfn linux-%{version} linux

%build

cd linux
cp config-raq arch/mips/defconfig
make oldconfig
make dep
make
strip vmlinux
gzip vmlinux

cd $RPM_BUILD_ROOT/usr/src/linux-%{version}
cp config-raq arch/mips/defconfig
make oldconfig
make include/linux/version.h

%install

cd linux

mkdir -p $RPM_BUILD_ROOT/boot
cp vmlinux.gz $RPM_BUILD_ROOT/boot
cp System.map $RPM_BUILD_ROOT/boot

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -s ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
ln -s ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux
ln -s ../src/linux/include/scsi $RPM_BUILD_ROOT/usr/include/scsi

%post

%post headers
cd /usr/src
ln -snf linux-%{version} linux

%post source
cd /usr/src
ln -snf linux-%{version} linux

%postun headers

if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{version}" ]; then
	rm -f /usr/src/linux
    fi
fi

%files
/boot/vmlinux.gz
/boot/System.map

%files source
%dir /usr/src/linux-%{version}
/usr/src/linux-%{version}/COPYING
/usr/src/linux-%{version}/CREDITS
/usr/src/linux-%{version}/Documentation
/usr/src/linux-%{version}/MAINTAINERS
/usr/src/linux-%{version}/Makefile
/usr/src/linux-%{version}/README
/usr/src/linux-%{version}/Rules.make
/usr/src/linux-%{version}/arch
/usr/src/linux-%{version}/drivers
/usr/src/linux-%{version}/fs
/usr/src/linux-%{version}/init
/usr/src/linux-%{version}/ipc
/usr/src/linux-%{version}/kernel
/usr/src/linux-%{version}/lib
/usr/src/linux-%{version}/mm
/usr/src/linux-%{version}/modules
/usr/src/linux-%{version}/net
/usr/src/linux-%{version}/scripts

%files headers
/usr/src/linux-%{version}/include/asm
/usr/src/linux-%{version}/include/asm-generic
/usr/src/linux-%{version}/include/linux
/usr/src/linux-%{version}/include/net
/usr/src/linux-%{version}/include/scsi
/usr/include/asm
/usr/include/linux
/usr/include/scsi
/usr/src/linux-%{version}/include/asm-mips

